FlexSEA Wiki

A WEARABLE ROBOTICS TOOLKIT

User Tools

Site Tools


build_fx_plan

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
build_fx_plan [2020/02/18 15:14]
rqurashi [How to build the fx_plan_stack libraries]
build_fx_plan [2020/02/21 20:42] (current)
rqurashi
Line 14: Line 14:
  
  
-===== Setup =====+===== Setup - Windows ​=====
  
   - Start by installing[[https://​cmake.org/​download/​ | CMake]]   - Start by installing[[https://​cmake.org/​download/​ | CMake]]
Line 30: Line 30:
       -  Select the PATH variable in system variables {{env_variables.png}}       -  Select the PATH variable in system variables {{env_variables.png}}
       -  Then add the paths from the previous installs {{add_path.png}} (note: MingW is not visible in the screenshot, but it needs to be listed)       -  Then add the paths from the previous installs {{add_path.png}} (note: MingW is not visible in the screenshot, but it needs to be listed)
 +
 +=====Setup - Linux/​Raspberry Pi=====
 +
 +These are all the packages needed for Linux/​Raspberry Pi
 +<​code>​sudo apt-get install gcc
 +sudo apt-get install g++
 +sudo apt-get install cmake
 +sudo apt-get install ninja-build</​code>​
  
 =====How to build the fx_plan_stack libraries===== =====How to build the fx_plan_stack libraries=====
Line 53: Line 61:
 sudo dos2unix <​path_to_stack_builder.sh></​code>​ sudo dos2unix <​path_to_stack_builder.sh></​code>​
       - Now navigate to folder [FlexSEA/​fx_plan_stacks] and run: <​code>​./​stack_builder.sh</​code>​       - Now navigate to folder [FlexSEA/​fx_plan_stacks] and run: <​code>​./​stack_builder.sh</​code>​
-      ​You may need to install additional packages. Install all the required packages ​(sudo apt-get install <​packageName>​) and try running stack_builder.sh again. It will complain if there are any missing packages. +        ​Make sure you've installed ​the [[build_fx_plan#​Setup - Linux/​Raspberry Pi|required packages]]
-        - <​code>​sudo apt-get install gcc +
-sudo apt-get install g++ +
-sudo apt-get install cmake +
-sudo apt-get install ninja-build</​code>​+
       - If you get a large number of error messages not related to missing packages, you might need to run with elevated privileges: <​code>​sudo ./​stack_builder.sh</​code>​       - If you get a large number of error messages not related to missing packages, you might need to run with elevated privileges: <​code>​sudo ./​stack_builder.sh</​code>​
     - **Raspberry Pi**: To build for Raspberry Pi 4 on Windows or Linux:     - **Raspberry Pi**: To build for Raspberry Pi 4 on Windows or Linux:
build_fx_plan.txt · Last modified: 2020/02/21 20:42 by rqurashi